import { LitElement } from 'lit';
/**
 * `w-badge` is used for showing a small amount of non-interactive color-categorized metadata, like a status or count.
 *
 * [See Storybook for usage examples](https://warp-ds.github.io/elements/?path=/docs/layout-badge--docs)
 */
declare class WarpBadge extends LitElement {
    variant: 'neutral' | 'info' | 'positive' | 'warning' | 'negative' | 'disabled' | 'price' | 'sponsored';
    position: 'top-left' | 'top-right' | 'bottom-right' | 'bottom-left';
    static styles: import("lit").CSSResult[];
    /** @internal */
    get _class(): string;
    render(): import("lit").TemplateResult<1>;
}
export { WarpBadge };
